Validate OTP
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/utils/otp-validation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"otpReferenceId": "<string>",
"OTP": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/utils/otp-validation"
payload = {
"otpReferenceId": "<string>",
"OTP": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({otpReferenceId: '<string>', OTP: '<string>'})
};
fetch('https://devapi.withedge.co/gateway/api/v1/utils/otp-validation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Completed successfully"
"data": {},
"errors": []
}
Utilities
Validate OTP
This endpoint allows you to validate a transfer request using the provided OTP.
POST
/
utils
/
otp-validation
Validate OTP
Validate OTP
Use this endpoint to validate a transfer request by providing the OTP sent to the customer’s phone number.Additional Information
Note
- Use the default OTP 123456 when validating OTP requests on sandbox.
- All OTPs generated expire after 5 minutes.
- Any active OTP on an account will expire once a new OTP request is made for the same account number.
Request Parameters
string
required
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9string
required
The unique identifier for the OTP, returned after successfully initiating a transfer request.
Example:
Example:
1234567890string
required
The One-Time Password sent to the customer’s phone number.
Example:
Example:
123456{
"statusCode": 00,
"message": "Completed successfully"
"data": {},
"errors": []
}
Was this page helpful?
⌘I